;$OJ=\chakan\obj\equates VB DA NOXR
LIST B,G
;************************************
;* Project:     Chakan              *
;* Machine:     Sega Game Gear      *
;* Processor:   Z80                 *
;* Author:      Paul Hutchinson     *
;* (c) MCMXCI   Sega of America     *
;************************************


	public  CHAN_0                  ;Channel 0 PSG data
	public  CHAN_0_STACK            ;Channel 0 stack area
	public  CHAN_1                  ;Channel 1 PSG data
	public  CHAN_1_STACK            ;Channel 1 stack area
	public  CHAN_2                  ;Channel 2 PSG data
	public  CHAN_2_STACK            ;Channel 2 stack area
	public  NOISE_CHAN              ;Noise Channel PSG data
	public  NOISE_STACK             ;Noise Channel stack area
	public  sfx_CHAN                ;Sound Effects data
	public  sfx_STACK               ;Sound Effects stack area
	public  MASTER_VOLUME_DATA      ;volume data area (fade in/out data)
	public  REQ_MUSIC               ;tune play request 0=none, other=play
	public  REQ_sfx                 ;sfx run request 0=none, other=run
	public  PAUSED                  ;game-paused flags
	public  MUSICAL                 ;music/sfx enable/disable flags
	public  FLAG_SOUND  
	public  PSG                     ;PSG port value


PSG     equ     0007fh

CHAN_0  	equ     0d800h                  ;anywhere in RAM
CHAN_0_STACK    equ     CHAN_0+30       ;but consecutive from here on
CHAN_1  	equ     CHAN_0_STACK+16
CHAN_1_STACK    equ     CHAN_1+30
CHAN_2  	equ     CHAN_1_STACK+16
CHAN_2_STACK    equ     CHAN_2+30
NOISE_CHAN      equ     CHAN_2_STACK+16
NOISE_STACK     equ     NOISE_CHAN+30
sfx_CHAN        equ     NOISE_STACK+16
sfx_STACK       equ     sfx_CHAN+14
MASTER_VOLUME_DATA      equ     sfx_STACK+16
SOUND_FLAG      equ     MASTER_VOLUME_DATA+4
REQ_MUSIC       equ     SOUND_FLAG+1
REQ_sfx 	equ     REQ_MUSIC+2


MUSICAL equ     REQ_sfx+2               ;anywhere else in RAM
PAUSED  equ     MUSICAL+1
FLAG_SOUND  equ PAUSED+1   ; 1=On,0=Off
EndData equ     FLAG_SOUND+1


	END

